#ifndef FNT__XMPPD_READ_SETTINGS_H
#define FNT__XMPPD_READ_SETTINGS_H

#include "../include/log.h"

/*** global variables defined in .c file *******************************/

/*** typedefs(not structures) and defined constants ********************/

/*** enums *************************************************************/

/*** structures declarations (and typedefs of structures)***************/

typedef struct xmppd_settings_struct
{

    fnt_log_type_t log_type;
    fnt_log_errlevel_t log_level;
    char *facility_or_fname;

    char *pid_directory;
    char *pid_file;

    int io_max_fds;

    int io_check_interval;

    /** how we listen for stuff */
    char *listen_ip;
    int listen_port;

    int tls_auth_type;

    char *ssl_directory;

    char *ssl_private_key;
    char *ssl_public_key;

    char *fidonet_node_address;

    /* debugging options */
    bool debug_socket;
    bool debug_stream;
    bool debug_session;
} xmppd_settings_t;

extern xmppd_settings_t *settings;
/*** declarations of public functions **********************************/

void read_application_settings (void);

void cleanup_settings (void);

#endif
